SPI - variant.h not found

Hi all,

For the record I'm using Eclipse (Juno) IDE for developing arduino sketches atm. Developing for Mega256 on arduino 1.5.4.

The compiler doesn't choose the 'avr' arch and goes on to 'sam' whereas the SPI_Class.h contains

#include "variant.h"

this is nowhere to be found! :astonished: Little help here please ;)

TIA, Pedro

Answering myself and for future reference ... :)

The Arduino Eclipse Plugin 2.1.0.4 beta is only compatible with arduino ide ver 1.5.2.

After some (due) code mods I was able to fully produce a (optimized) sketch in Eclipse. yay! :D

So it's bye bye to that wretched editor :P